Moodle Adminer

General plugins (Local) ::: local_adminer
Maintained by Andreas Grabs
This plugin is based on the great tool adminer. The main advantage of this plugin is, it can handle different types of database. So it works with MySQL/MariaDB, PostgreSQL, Oracle and MSSQL.

Moodle Adminer 0.3 (2013061301)

Moodle 2.2, 2.3, 2.4, 2.5
Released: Thursday, June 13, 2013, 7:50 PM

Moodle Adminer is based on the great tool adminer (www.adminer.org).
The main advantage of this plugin is, it can handle different types of database.
So it works with MySQL, PostgreSQL, Oracle and MSSQL.

Moodle Adminer is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

Moodle Adminer is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You can receive a copy of the GNU General Public License
at <http:www.gnu.org/licenses/>;.

Installation:
To install Moodle Adminer just copy the folder "adminer" into your moodle/local/adminer.
After that you have to go to http://your-moodle/admin (Site administration -> Notifications) to trigger the installation process.

Using:
To use Moodle Adminer go to "Site administration" -> "Server" -> "Moodle Adminer".

changes in 2012060301
- it is based on adminer-3.4.0-dev
- now it works correctly again in google chrome
- the query textarea can syntax highlighting

changes in 2012060301
- added missing lib/adminer.css

changes in 2012091801
- added support for MSSQL 2008 R2

changes in 2013031601
- it is based on adminer-3.6.4-dev
- it uses the context_system class since moodle 2.2

changes in 2013061301
- it is based on adminer-3.7.1-dev
    look here: https://github.com/vrana/adminer/blob/master/changes.txt

Version information

Version build number
2013061301
Version release name
0.3 (2013061301)
Can be updated from
0.1 (2012060302) (2012091801), 0.2 (2013031601) (2013031601)
Can be updated to
0.4 (2014011602) (2014011602), 0.4 (2014011602) (2014011602), 0.4 (2014111800) (2014111800), 2.9 (2015052700) (2015052700), 3.1 (2016061000) (2016061000), 3.2 (2016122600) (2016122600), 3.3 (2017052800) (2017052800), 3.4 (2018040700) (2018040700), 3.4 (2018042100) (2018042100), 3.5 (2018050400) (2018050400), 3.5 (2018050401) (2018050401), 3.5 (2018050900) (2018050900), 3.5 (2018102100), 3.5 (2019040700), 3.5 (2019042500), 3.5 (2019081000), 3.5 (2019081001), 3.5 (2019090900), 4.7.6 (2020020400), 4.7.7 (2020060100), 4.7.7 (2020061000) (2020061000), 4.7.8 (2020120600 mdl-35) (2020120600), 4.7.8 (2020120600 mdl-39) (2020120600), 4.8.0 (2021030700 mdl-35) (2021030700), 4.8.0 (2021030701 mdl-39) (2021030701), 4.7.9 (2021030800 mdl-35) (2021030800), 4.7.9 (2021030801 mdl-39) (2021030801)
Maturity
Beta
MD5 Sum
33ecf2182994683f13249b2c545d52cc
Supported software
Moodle 2.2, Moodle 2.3, Moodle 2.4, Moodle 2.5

Default installation instructions for plugins of the type General plugins (Local)

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder in the "local" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation.